Skip to main content
POST
/
market_service.v1.MarketService
/
GetMarketSummary
GetMarketSummary
curl --request POST \
  --url https://api.fairground.fi/market_service.v1.MarketService/GetMarketSummary \
  --header 'Authorization: Bearer <token>' \
  --header 'Connect-Protocol-Version: <connect-protocol-version>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "market": {
    "marketId": "<string>"
  }
}
'
{
  "marketSummary": {
    "marketId": "<string>",
    "marketName": "<string>",
    "openInterest": 123,
    "priceChange24h": 123,
    "volume24h": 123,
    "executableDepth": {
      "short": "<string>",
      "long": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Connect-Protocol-Version
enum<number>
default:1
required

Define the version of the Connect protocol. If omitted, use 1.

Available options:
1
Connect-Timeout-Ms
number

Define the timeout, in ms

Body

application/json
market
market · object

Select a market by ID or by asset/quote symbol.

Response

Success

marketSummary
market_summary · object